Bug 885203 - Localized UI hides menu entries
Localized UI hides menu entries
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Mike McCune
Katello QA List
: Triaged, ZStream
Depends On:
Blocks: 903702
  Show dependency treegraph
Reported: 2012-12-07 13:43 EST by Og Maciel
Modified: 2014-09-18 11:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 903702 (view as bug list)
Last Closed: 2013-09-19 14:19:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Web ui in English (27.08 KB, image/png)
2012-12-07 13:43 EST, Og Maciel
no flags Details
Web ui localized to pt-BR (25.86 KB, image/png)
2012-12-07 13:44 EST, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-12-07 13:43:17 EST
Description of problem:

Seems that when you use the web ui in "localized" mode (i.e. non-English), certain menu entries are not rendered/displayed in the ui. A perfect example is the Changeset Management menu.

Version-Release number of selected component (if applicable):

* candlepin-
* candlepin-selinux-
* candlepin-tomcat6-
* elasticsearch-0.18.4-11.el6.noarch
* katello-1.1.12-22.el6cf.noarch
* katello-all-1.1.12-22.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-12.el6cf.noarch
* katello-cli-common-1.1.8-12.el6cf.noarch
* katello-common-1.1.12-22.el6cf.noarch
* katello-configure-1.1.9-12.el6cf.noarch
* katello-glue-candlepin-1.1.12-22.el6cf.noarch
* katello-glue-pulp-1.1.12-22.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-2.el6cf.noarch
* pulp-1.1.14-1.el6cf.noarch
* pulp-common-1.1.14-1.el6cf.noarch
* pulp-selinux-server-1.1.14-1.el6cf.noarch

How reproducible:

Steps to Reproduce:
1. Login as the admin user and click the Contents menu. You should see the Changeset Management submenu
2. Edit the admin user profile to use the pt-BR locale
3. Go back to Contents menu. You should see that you're missing one submenu.
Actual results:

Expected results:

Additional info:
Comment 1 Og Maciel 2012-12-07 13:43:59 EST
Created attachment 659546 [details]
Web ui in English

Web ui in English
Comment 2 Og Maciel 2012-12-07 13:44:35 EST
Created attachment 659548 [details]
Web ui localized to pt-BR

Web ui localized to pt-BR
Comment 3 Og Maciel 2012-12-07 13:45:42 EST
html source shows that Changeset Management ("Gerenciamento de Changesets" in Portuguese) is present:

  <ul><li class="content second_level menu_parent" data-dropdown="subscriptions" data-menu="content" id="subscriptions"><a href="/katello/subscriptions">Subscrições</a><ul><li class="content third_level" data-dropdown="subscriptions" data-menu="subscriptions" id="subscriptions"><a href="/katello/subscriptions">Subscrições da Red Hat</a></li><li class="content third_level" data-dropdown="subscriptions" data-menu="subscriptions" id="activation_keys"><a href="/katello/activation_keys">Chaves de Ativação</a></li><li class="content third_level" data-dropdown="subscriptions" data-menu="subscriptions" id="import_history"><a href="/katello/subscriptions/history">Importar Histórico</a></li></ul></li><li class="content second_level menu_parent" data-dropdown="repositories" data-menu="content" id="providers"><a href="/katello/providers">Repositórios</a><ul><li class="third_level" data-dropdown="repositories" id="custom_providers"><a href="/katello/providers">Repositórios de Conteúdo Padronizado</a></li><li class="third_level" data-dropdown="repositories" id="redhat_providers"><a href="/katello/providers/redhat_provider">Repositórios da Red Hat</a></li><li class="third_level" data-dropdown="repositories" id="filters"><a href="/katello/filters">Filtros de Pacote</a></li><li class="third_level" data-dropdown="repositories" id="gpg"><a href="/katello/gpg_keys">Chaves GPG</a></li></ul></li><li class="content second_level menu_parent" data-dropdown="sync" data-menu="content" id="sync_mgmt"><a href="/katello/sync_management/index">Sincronizar Gerenciamento</a><ul><li class="third_level" data-dropdown="sync" id="sync_status"><a href="/katello/sync_management/index">Sincronizar Status</a></li><li class="third_level" data-dropdown="sync" id="sync_plans"><a href="/katello/sync_plans">Sincronizar Planos</a></li><li class="third_level" data-dropdown="sync" id="sync_schedule"><a href="/katello/sync_schedules/index">Sincronizar Agenda</a></li></ul></li><li class="content second_level" data-menu="content" id="content_search"><a href="/katello/content_search">Buscar Conteúdo:</a></li><li class="content second_level" data-menu="content" id="system_templates"><a href="/katello/system_templates">Modelos de Sistema</a></li><li class="menu_parent content second_level" data-dropdown="changesets" data-menu="content" id="changeset_management"><a href="/katello/promotions">Gerenciamento de Changeset</a><ul><li class="content third_level" data-dropdown="changesets" id="changesets"><a href="/katello/promotions">Changesets</a></li><li class="content third_level" data-dropdown="changesets" id="changeset"><a href="/katello/changesets">Histórico do Changeset</a></li></ul></li></ul><ul><li class="systems second_level" data-menu="systems" id="registered"><a href="/katello/systems">Todos</a></li><li class="systems second_level" data-menu="systems" id="env"><a href="/katello/systems/environments">Por Ambientes</a></li><li class="systems second_level" data-menu="systems" id="system_groups"><a href="/katello/system_groups">Grupos de Sistema</a></li></ul>
Comment 5 Brad Buckingham 2012-12-20 10:35:29 EST
Reassigning to jrist, since he mentioned he is looking at this BZ.
Comment 12 Mike McCune 2013-09-19 14:19:21 EDT
These bugs have been resolved in upstream projects for a period of months so
I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to

Note You need to log in before you can comment on or make changes to this bug.